Subject: bug#52576: closed (Re: bug#52576: [PATCH] gnu: ibus-anthy: Update to 1.15.12)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Jun 2022 02:55:02 +0000

Your bug report

#52576: [PATCH] gnu: ibus-anthy: Update to 1.15.12

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52576: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=52576
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52576: [PATCH] gnu: ibus-anthy: Update to 1.15.12
From: Maxim Cournoyer <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked], Taiju HIGASHI <[email-masked]>, Liliana Marie Prikler <[email-masked]>
Date: Thu, 23 Jun 2022 22:53:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Julien Lepiller <[email-masked]> writes:

> Le Mon, 07 Feb 2022 12:03:38 +0900,
> Taiju HIGASHI <[email-masked]> a écrit :
>
>> Hi Liliana,
>> 
>> Thank you for your response.
>> 
>> You are right. My attitude of expecting someone else to solve the
>> problem was no good.
>> 
>> So far, I haven't even been able to get the tests to run properly on
>> Guix.  Therefore, I can't even properly mention which test is the
>> problem.
>> 
>> I think it will take a long time to solve this problem due to my lack
>> of skills.
>> In particular, I think I will have a hard time reading the intent of
>> the test code. Also, other distributions skip the tests, so I have no
>> source to refer to.
>> 
>> I don't know if I will be able to start working on it right away, but
>> I would like to take the time to tackle it properly.
>> 
>> 
>> 
>
> Hi!
>
> I gave a look at the test failures and found a few issues. I attached
> the current diff I have, but it's still not working.

I tried it too; and got a different result [0].  Seeing how not even
upstream run the test suite in a containerized environment and other
projects simply disable it, I think it's reasonable to disable it too
until upstream share more information about how it's supposed to work.

Pushed as 2dc43d7d5b50b3ef6ef506dc2572c9cc3beed334, and salvaged
python-pycotap as 06902a6766f089e4da812876ddcf33e7ba8afce0 (with
improved synopsis and description).

Thanks!

Closing.

Maxim

Subject: [PATCH] gnu: ibus-anthy: Update to 1.15.12
From: Taiju HIGASHI <[email-masked]>
To: [email-masked]
Cc: Taiju HIGASHI <[email-masked]>
Date: Fri, 17 Dec 2021 22:40:29 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm using GNOME (40.4) with Guix, and version 1.5.9 of ibus-anthy had
a problem with ibus-anthy not being able to save settings.

I'm assuming this is the cause, since the release notes say that
ibus-anthy version 1.5.10 includes a fix for migrating from dConf to
GSettings.

1.5.10 adds a test, but I skipped running the test.  I wish I had a
better solution, but the fix including the test was difficult for me.
It also included tests for users to enter values in dialogs and to
update files under their home directories, so I thought it would be
better to skip the tests.

I have now applied this fix and am using it comfortably.

Thank you.

---
 gnu/packages/ibus.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ibus.scm b/gnu/packages/ibus.scm
index edaeb59641..889b71f3c2 100644
--- a/gnu/packages/ibus.scm
+++ b/gnu/packages/ibus.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2020 Vincent Legoll <[email-masked]>
 ;;; Copyright © 2021 Felix Gruber <[email-masked]>
 ;;; Copyright © 2021 Songlin Jiang <[email-masked]>
+;;; Copyright © 2021 Taiju HIGASHI <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -307,7 +308,7 @@ (define-public libpinyin
 (define-public ibus-anthy
   (package
     (name "ibus-anthy")
-    (version "1.5.9")
+    (version "1.5.12")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -315,12 +316,13 @@ (define-public ibus-anthy
                     version "/ibus-anthy-" version ".tar.gz"))
               (sha256
                (base32
-                "1y8sf837rmp662bv6zakny0xcm7c9c5qda7f9kq9riv9ywpcbw6x"))))
+                "1fspvzgxr3r086515kap187n684gza3i25xbdqvr5qkaskfmirz9"))))
     (build-system gnu-build-system)
     (arguments
      '(#:configure-flags
        ;; Use absolute exec path in the anthy.xml.
        (list (string-append "--libexecdir=" %output "/libexec"))
+       #:tests? #f ; The tests in this package include test cases with user input, so skip them.
        #:phases
        (modify-phases %standard-phases
          (add-after 'install 'wrap-programs
@@ -338,6 +340,7 @@ (define-public ibus-anthy
                #t))))))
     (native-inputs
      `(("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
        ("intltool" ,intltool)
        ("pkg-config" ,pkg-config)
        ("python" ,python)))
-- 
2.34.0